package com.mortals.xhx.module.customer.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.vo.CustomerWorkDesignVo;
/**
 * 客户作品信息实体对象
 *
 * @author zxfei
 * @date 2022-07-08
 */

public class CustomerWorkDesignEntity extends CustomerWorkDesignVo {
    private static final long serialVersionUID = 1L;

    /**
     * 客户ID
     */
    private Long customerId;
    /**
     * 作品名称
     */
    private String workDesignName;
    /**
     * 作品状态：0:草稿，1:发布
     */
    private Integer workDesignStatus;
    /**
     * 作品描述
     */
    private String workDesignDesc;
    /**
     * 模版引用的图片
     */
    private String pictureIds;
    /**
     * 模版引用的素材
     */
    private String pictureSrcIds;
    /**
     * 模版引用的背景
     */
    private String pictureBackgroundIds;
    /**
     * 作品引用的字体
     */
    private String fontIds;
    /**
     * 作品图片预览地址（相对地址）
     */
    private String previewUrl;
    /**
     * 设计草稿
     */
    private String draft;



    public CustomerWorkDesignEntity(){}
    /**
     * 获取 客户ID
     * @return Long
     */
    public Long getCustomerId(){
        return customerId;
    }
    /**
     * 设置 客户ID
     * @param customerId
     */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
     * 获取 作品名称
     * @return String
     */
    public String getWorkDesignName(){
        return workDesignName;
    }
    /**
     * 设置 作品名称
     * @param workDesignName
     */
    public void setWorkDesignName(String workDesignName){
        this.workDesignName = workDesignName;
    }
    /**
     * 获取 作品状态：0:草稿，1:发布
     * @return Integer
     */
    public Integer getWorkDesignStatus(){
        return workDesignStatus;
    }
    /**
     * 设置 作品状态：0:草稿，1:发布
     * @param workDesignStatus
     */
    public void setWorkDesignStatus(Integer workDesignStatus){
        this.workDesignStatus = workDesignStatus;
    }
    /**
     * 获取 作品描述
     * @return String
     */
    public String getWorkDesignDesc(){
        return workDesignDesc;
    }
    /**
     * 设置 作品描述
     * @param workDesignDesc
     */
    public void setWorkDesignDesc(String workDesignDesc){
        this.workDesignDesc = workDesignDesc;
    }
    /**
     * 获取 模版引用的图片
     * @return String
     */
    public String getPictureIds(){
        return pictureIds;
    }
    /**
     * 设置 模版引用的图片
     * @param pictureIds
     */
    public void setPictureIds(String pictureIds){
        this.pictureIds = pictureIds;
    }
    /**
     * 获取 模版引用的素材
     * @return String
     */
    public String getPictureSrcIds(){
        return pictureSrcIds;
    }
    /**
     * 设置 模版引用的素材
     * @param pictureSrcIds
     */
    public void setPictureSrcIds(String pictureSrcIds){
        this.pictureSrcIds = pictureSrcIds;
    }
    /**
     * 获取 模版引用的背景
     * @return String
     */
    public String getPictureBackgroundIds(){
        return pictureBackgroundIds;
    }
    /**
     * 设置 模版引用的背景
     * @param pictureBackgroundIds
     */
    public void setPictureBackgroundIds(String pictureBackgroundIds){
        this.pictureBackgroundIds = pictureBackgroundIds;
    }
    /**
     * 获取 作品引用的字体
     * @return String
     */
    public String getFontIds(){
        return fontIds;
    }
    /**
     * 设置 作品引用的字体
     * @param fontIds
     */
    public void setFontIds(String fontIds){
        this.fontIds = fontIds;
    }
    /**
     * 获取 作品图片预览地址（相对地址）
     * @return String
     */
    public String getPreviewUrl(){
        return previewUrl;
    }
    /**
     * 设置 作品图片预览地址（相对地址）
     * @param previewUrl
     */
    public void setPreviewUrl(String previewUrl){
        this.previewUrl = previewUrl;
    }
    /**
     * 获取 设计草稿
     * @return String
     */
    public String getDraft(){
        return draft;
    }
    /**
     * 设置 设计草稿
     * @param draft
     */
    public void setDraft(String draft){
        this.draft = draft;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CustomerWorkDesignEntity) {
            CustomerWorkDesignEntity tmp = (CustomerWorkDesignEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",workDesignName:").append(getWorkDesignName());
        sb.append(",workDesignStatus:").append(getWorkDesignStatus());
        sb.append(",workDesignDesc:").append(getWorkDesignDesc());
        sb.append(",pictureIds:").append(getPictureIds());
        sb.append(",pictureSrcIds:").append(getPictureSrcIds());
        sb.append(",pictureBackgroundIds:").append(getPictureBackgroundIds());
        sb.append(",fontIds:").append(getFontIds());
        sb.append(",previewUrl:").append(getPreviewUrl());
        sb.append(",draft:").append(getDraft());
        return sb.toString();
    }

    public void initAttrValue(){

        this.customerId = null;

        this.workDesignName = "";

        this.workDesignStatus = null;

        this.workDesignDesc = "";

        this.pictureIds = "";

        this.pictureSrcIds = "";

        this.pictureBackgroundIds = "";

        this.fontIds = "";

        this.previewUrl = "";

        this.draft = "";
    }
}