package com.mortals.xhx.module.font.service.impl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.util.DateUtils;
import com.mortals.framework.util.StringUtils;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.font.dao.FontMaterialDao;
import com.mortals.xhx.module.font.model.FontMaterialEntity;
import com.mortals.xhx.module.font.service.FontMaterialService;

import java.util.List;

/**
* FontMaterialService
* 字体素材 service实现
*
* @author zxfei
* @date 2022-06-08
*/
@Service("fontMaterialService")
public class FontMaterialServiceImpl extends AbstractCRUDServiceImpl<FontMaterialDao, FontMaterialEntity, Long> implements FontMaterialService {

    @Override
    protected FontMaterialEntity findBefore(FontMaterialEntity entity, PageInfo pageInfo, Context context) throws AppException {
        if(StringUtils.isNotEmpty(entity.getFontName())){
            entity.setFontName("%".concat(entity.getFontName()).concat("%"));
        }
        return entity;
    }

    @Override
    protected void findAfter(FontMaterialEntity entity, PageInfo pageInfo, Context context, List<FontMaterialEntity> list) throws AppException {
        if(CollectionUtils.isNotEmpty(list)){
            list.stream().forEach(item->{
                item.setCreateTimeStr(DateUtils.getDateTime(item.getCreateTime(),DateUtils.P_yyyy_MM_dd_HH_mm_ss));
            });
        }
    }
}