package com.mortals.xhx.module.goview.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.goview.model.vo.GoviewProjectVo;
/**
* 项目实体对象
*
* @author zxfei
* @date 2023-04-13
*/

public class GoviewProjectEntity extends GoviewProjectVo {
    private static final long serialVersionUID = 1L;

    /**
    * 项目名称
    */
    private String projectName;
    /**
    * 用户ID
    */
    private Long customerId;
    /**
    * 项目状态[0未发布,1发布]
    */
    private Integer state;
    /**
    * 首页图片
    */
    private String indexImage;
    /**
    * 项目介绍
    */
    private String remarks;



    public GoviewProjectEntity(){}
    /**
    * 获取 项目名称
    * @return String
    */
    public String getProjectName(){
        return projectName;
    }
    /**
    * 设置 项目名称
    * @param projectName
    */
    public void setProjectName(String projectName){
        this.projectName = projectName;
    }
    /**
    * 获取 用户ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 用户ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 项目状态[-1未发布,1发布]
    * @return Integer
    */
    public Integer getState(){
        return state;
    }
    /**
    * 设置 项目状态[0未发布,1发布]
    * @param state
    */
    public void setState(Integer state){
        this.state = state;
    }
    /**
    * 获取 首页图片
    * @return String
    */
    public String getIndexImage(){
        return indexImage;
    }
    /**
    * 设置 首页图片
    * @param indexImage
    */
    public void setIndexImage(String indexImage){
        this.indexImage = indexImage;
    }
    /**
    * 获取 项目介绍
    * @return String
    */
    public String getRemarks(){
        return remarks;
    }
    /**
    * 设置 项目介绍
    * @param remarks
    */
    public void setRemarks(String remarks){
        this.remarks = remarks;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof GoviewProjectEntity) {
            GoviewProjectEntity tmp = (GoviewProjectEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",projectName:").append(getProjectName());
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",state:").append(getState());
        sb.append(",indexImage:").append(getIndexImage());
        sb.append(",remarks:").append(getRemarks());
        return sb.toString();
    }

    public void initAttrValue(){

            this.projectName = "";

            this.customerId = null;

            this.state = null;

            this.indexImage = "";

            this.remarks = "";
    }
}