package com.mortals.xhx.module.goview.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.goview.model.GoviewProjectDataQuery;
import com.mortals.xhx.module.goview.model.GoviewProjectEntity;
import com.mortals.xhx.module.goview.service.GoviewProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.goview.model.GoviewProjectDataEntity;
import com.mortals.xhx.module.goview.service.GoviewProjectDataService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 项目数据关联
*
* @author zxfei
* @date 2023-04-13
*/
@RestController
@RequestMapping("goview/project/data")
public class GoviewProjectDataController extends BaseCRUDJsonBodyMappingController<GoviewProjectDataService,GoviewProjectDataEntity,Long> {

    @Autowired
    private GoviewProjectService goviewProjectService;
    @Autowired
    private ParamService paramService;

    public GoviewProjectDataController(){
        super.setModuleDesc( "项目数据关联");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

    @PostMapping({"getData"})
    @UnAuth
    public Rest<Object> getData(@RequestBody GoviewProjectDataEntity query) {
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        Context context = this.getContext();
        String busiDesc = "查询" + this.getModuleDesc();
        int code;
        try {
            GoviewProjectEntity goviewProjectEntity = goviewProjectService.get(query.getProjectId());
            GoviewProjectDataEntity goviewProjectDataEntity = this.service.selectOne(new GoviewProjectDataQuery().projectId(query.getProjectId()));
            if(goviewProjectEntity!=null && goviewProjectDataEntity!=null){
                byte[] bs= goviewProjectDataEntity.getContent();
                String str="二进制转换错误";
                str = new String(bs);
                goviewProjectEntity.setContent(str);
            }
            model.put("data", goviewProjectEntity);
            code = this.doListAfter(query, model, context);
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        this.init(model, context);
        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.get("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }
}