package com.mortals.xhx.module.question.service.impl;

import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.question.dao.QuestionReplyDao;
import com.mortals.xhx.module.question.model.QuestionReplyEntity;
import com.mortals.xhx.module.question.service.QuestionReplyService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* QuestionReplyService
* 问答自动回复 service实现
*
* @author zxfei
* @date 2022-06-29
*/
@Service("questionReplyService")
public class QuestionReplyServiceImpl extends AbstractCRUDServiceImpl<QuestionReplyDao, QuestionReplyEntity, Long> implements QuestionReplyService {


    @Override
    public String autoReplyQuestion(String content) {
        List<QuestionReplyEntity> all = this.dao.getList(new QuestionReplyEntity());
        for(QuestionReplyEntity questionReplyEntity:all){
            String keyWords = questionReplyEntity.getKeywords();
            for(String keyWord:keyWords.split(";")){
                if(content.contains(keyWord)){
                    return questionReplyEntity.getReplyContent();
                }
            }
        }
        return null;
    }
}